1 July 2015

Apple has issued updates to address vulnerabilities in several of its widely used products. You are advised to review the Apple security bulletins for QuickTime, Safari, Mac EFI, OS X Yosemite and iOS and install the relevant updates.

Stay Smart Online recommends you automate software updates to reduce the risk of your computer or personal information being compromised. 

Criminals can exploit vulnerabilities in popular software products to undertake a range of malicious activities. These activities may extend to controlling your computer and gaining access to your sensitive personal or financial information in order to steal money or commit identity theft.

More information

Visit the Stay Smart Online website for more information on updating software.

Connect with Stay Smart Online
  • RSS feed